/* Program na odecet surove hodnoty a napeti modulu s elektretovym mikrofonem 
Zobrazeni hodnot je na tabletu, komunikace je s Bluetooth JDY-33
odladeno v IDE 1,8,13 program pro ARDUINO UNO, NANO snimani surove hodnoty napeti
a prepocet na napeti z modulu
mojeelektronika.mzf.cz (C)2024
vagnervlastimil@seznam.cz
*/
#include <SoftwareSerial.h>               // prihrani knihovny pro seriovou komunikaci 
SoftwareSerial BT=SoftwareSerial(10,11);  // nastaveni komunikacnich pinu ARDUINA 10=RXD, 11=TXD pro komunikaci  s tabletem
#define senzor A0                         // sniamci pin pro analogovou hodnotu
int hodnota, prepocet;                    // definovani promennych pro ukladani nactenych hodnot

void setup() {                            // Setup
pinMode( senzor,INPUT);                   // analogovy pin A0 nastaven na vstup
BT.begin(9600);                           // nastaveni komunikacni rychlosti
}                                       

void loop(){                              // zacatek hlavni smycky programu
hodnota = analogRead(senzor);             // nacteni hodnoty z mikrofonu
BT.print("Surova hodnota : ");            // zobrazeni popisu nactene hodnoty 
BT.println(hodnota);                      // zobrazeni nactene surove hodnoty z mikrofonu 
BT.print("Hodnota napeti : ");            // zobrazeni popisu nactene hodnoty 
prepocet = (hodnota * 5)/1023;            // prepocet surove hodnoty na hodnotu napeti
BT.println(prepocet);                     // zobrazeni prepocitane hodnoty na napeti
delay(10);                                // uklidneni vstupu
}                                         // konec hlavni smycky
                                         
