/* Program na ovladani zarizeni zvukem
odladeno v IDE 1,8,13 program pro ARDUINO UNO, NANO snimani digitalni napeti na vystupu modulu
mojeelektronika.mzf.cz (C)2024
vagnervlastimil@seznam.cz
*/
const int senzor = A0;                     // nastaveni vstupniho pinu pro nacitani vystupu modulu mikrofonu
const int led = 13;                        // signalizace funkcnosti modulu
const int konstanta = 940;                 // konstanta surove hodnoty "940"
int hodnota;                               // promenna pro nactenou hodnotu PINU A0 

void setup(){                              // Setup
pinMode( senzor,INPUT);                    // analogovy pin A0 nastaven na vstup
pinMode(led,OUTPUT);                       // digitalni pin D13 led dioda 
}                                       

void loop(){                               // zacatek hlavni smycky programu
hodnota = analogRead(senzor);              // nacteni hodnoty z modulu
if ( hodnota >= konstanta){                // porovnani nactene hodnoty s hodnotou konstanta           
digitalWrite(led,HIGH);                    // zapnuti signalizacni led
}else{                                     // rozvetveni prikazu IF
digitalWrite(led, LOW);                    // vypnuti signalizacni led diody
hodnota = 0;                               // vymazani promenne hodnota
 }                                         // konec smycky IF                          
delay(1000);                               // casova prodleva pred dalsim nactenim hodnoty
}                                          // konec hlavni smycky
